@echo off

echo [93mClearing Event logs...[0m

REM echo Turn-off/Hide cursor (make cursor invisible)
echo [?25l

for /F "tokens=*" %%M in ('wevtutil.exe el') DO (wevtutil.exe cl "%%M" | echo [1F[0KClearing %%M)

REM Turn-on/Show the cursor back again (make cursor visible)
Echo [?25h

REM wevtutil cl Application
REM wevtutil cl Security
REM wevtutil cl Setup
REM wevtutil cl System

:: Escape codes explanation
:: [{line};{column}H	moves cursor to line #, column #
:: [{line};{column}f 	moves cursor to line #, column #
:: [#A 	moves cursor up # lines
:: [#B 	moves cursor down # lines
:: [#C 	moves cursor right # columns
:: [#D 	moves cursor left # columns
:: [#E 	moves cursor to beginning of next line, # lines down
:: [#F 	moves cursor to beginning of previous line, # lines up
:: [#G 	moves cursor to column #
:: [H 	moves cursor to home position (0, 0)
:: [J 	clears the screen
:: [0J 	clears from cursor until end of screen
:: [1J 	clears from cursor to beginning of screen
:: [2J 	clears entire screen
:: [K 	clears the current line
:: [0K 	clears from cursor to end of line
:: [1K 	clears from cursor to start of line
:: [2K 	clears entire line
:: [6n 	request cursor position (reports as ESC[#;#R)
:: 7 	save cursor position (DEC)
:: 8 	restores the cursor to the last saved position (DEC)
:: [s 	save cursor position (SCO)
:: [u 	restores the cursor to the last saved position (SCO)

:: [1m  Bold text
:: [2m  Dim/faint text
:: [3m  Italic text
:: [4m  Underline text
:: [31m Normal Red text
:: [34m Normal Blue text
:: [41m Normal Red BG
:: [42m Normal Green BG
:: [43m Normal Yellow BG
:: [44m Normal Blue BG

:: [91m Strong Red text
:: [92m Strong Green text
:: [93m Strong Yellow text
:: [94m Strong Blue text
:: [97m Strong White text
:: [103m Strong Yellow BG
:: [0m Reset to normal CMD colors - white text on black BG.
:: To combine, add semi-colon ;
